Subject: RE: missing defines in header files [b19]
From: [email-masked] (Sven Dietrich)

12 Mar 1998 19:54:35 -0800
Message-ID: <[email-masked]>
To: [email-masked], Tollef Fog Heen <[email-masked]>

I ran into the random() thing also, while porting NTP. B18 didn't
link, but B19 does seem to have something in the lib there...

I'd ignore the warnings and see if it links; to really be sure, 
write a little chunk of code calling random over and over to
be sure you are actually getting some kind of PRN sequence.

S.

/*
 * Sven-Thorsten Dietrich
 * Software Component & Timing Solutions 
 * 
 * (408) 481-7289 (Voice)                  
 * (408) 481-2011 (Fax)
 */

> ----------
> From: 	Tollef Fog Heen[SMTP:[email-masked]]
> Sent: 	Tuesday, March 10, 1998 11:16 PM
> To: 	[email-masked]
> Subject: 	missing defines in header files [b19]
> 
> I can't find the functions random() and getwd() in any header files. I
> am
> trying to help a guy port chpp (Chakotay Preprocessor) to
> gnuwin32/NT4.
> Some of the warnings i get are by the form:
> >main.c:153: warning: implicit declaration of function `getwd'
> >builtins/builtins.c:274: warning: implicit declaration of function
> `random'
> 
> As I don't know very much about either C or gnuwin-32, I am reporting
> this
> to the mailing list as a possible bug. I have tried to include the
> relevant
> information, but may of course have left out something. Ask if so.
> 
> 
> 
> Tollef Fog Heen
> 
> -
> For help on using this list (especially unsubscribing), send a message
> to
> "[email-masked]" with one line of text: "help".
> 
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".